TempFile (Apache Ant API)
Keywords: org.apache.tools.ant.taskdefs.TempFile,TempFile class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs
Class TempFile

    java.lang.Object
      |
      +--org.apache.tools.ant.ProjectComponent
            |
            +--org.apache.tools.ant.Task
                  |
                  +--org.apache.tools.ant.taskdefs.TempFile

public class TempFile
extends Task

This task sets a property to the name of a temporary file. Unlike the Java1.2 method to create a temporary file, this task does work on Java1.1. Also, it does not actually create the temporary file, but it does guarantee that the file did not exist when the task was executed.

Examples

    <tempfile property="temp.file" />

create a temporary file

    <tempfile property="temp.file" suffix=".xml" />

create a temporary file with the .xml suffix.

    <tempfile property="temp.file" destDir="build"/>

create a temp file in the build subdir

Since:
  Ant 1.5

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`TempFile()`

Method Summary
`void` | `execute()` Creates the temporary file.
`void` | `setDestDir(java.io.File destDir)` Sets the destination directory.
`void` | `setPrefix(java.lang.String prefix)` Sets the optional prefix string for the temp file.
`void` | `setProperty(java.lang.String property)` Sets the property you wish to assign the temporary file to.
`void` | `setSuffix(java.lang.String suffix)` Sets the optional suffix string for the temp file.

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TempFile

    public TempFile()

Method Detail

### setProperty

    public void setProperty(java.lang.String property)

  Sets the property you wish to assign the temporary file to.

  Parameters:
    `property` - The property to set

### setDestDir

    public void setDestDir(java.io.File destDir)

  Sets the destination directory. If not set, the basedir directory is used instead.

  Parameters:
    `destDir` - The new destDir value

### setPrefix

    public void setPrefix(java.lang.String prefix)

  Sets the optional prefix string for the temp file.

  Parameters:
    `prefix` - string to prepend to generated string

### setSuffix

    public void setSuffix(java.lang.String suffix)

  Sets the optional suffix string for the temp file.

  Parameters:
    `suffix` - suffix including any "." , e.g ".xml"

### execute

    public void execute()
                 throws BuildException

  Creates the temporary file.

  Overrides:
    `execute` in class `Task`
  Throws:
    `BuildException` - if something goes wrong with the build

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.